#pragma once
#include <yaml-cpp/node/node.h>
#include <string>


namespace kubecontrol
{

class KubernetesAPI 
{
    public: 
        KubernetesAPI();
        KubernetesAPI(YAML::Node config);

        KubernetesAPI(std::string APIAddress, std::string Token);

        std::string performRequest(std::string request,std::string Methode = "GET");

        std::string performRequest(std::string request,std::string Methode,std::string PostFields);

        void addAddress(std::string address);
        std::string getAddress();
        void addToken(std::string Token);
        void addYaml(YAML::Node config);

        std::string getNamespace();
    private:
        std::string APIAddress_;
        std::string Token_;
        std::string Namespace_;

};


}